clear all;
close all;
%
%  1-D carbon dioxide normal mode problem
%  numerical solution
%
mO = sym('mO');
mC = sym('mC');
k = sym('k');
%
%  Matrix representing f/m as in a = f/m
%
A = [-k/mO        k/mO             0 
      k/mC     -2*k/mC            k/mC 
       0          k/mO           -k/mO];
%
%  calculate eigenvalues and eigenvectors
%
[W,L]=eig(A)